Page MenuHomePhabricator

Services team goals October - December 2015 (Q2 2015/16)
Closed, ResolvedPublic

Description

Top priorities

Strengthen: Build out the REST API

Focus: Set up an event bus and change propagation solution

  • In collaboration with Analytics, set up a shared publish / subscribe event bus, and define a set of common events (edits, renames, account creations etc): T84923, Event-Platform
  • Design and implement a basic dependency tracking system with the ability to track dependencies across projects: T102476, T105766
  • Leverage the event bus and dependency tracking system to proactively propagate changes.
  • Key result: Key change events like edits, renames, deletes available in a publish-subscribe event bus. Basic change propagation / pre-generation functionality for REST services operational.
  • Dependencies: Analytics, Operations

Experiment: Prototype an API-driven web front-end

  • In collaboration with the reading & performance teams, prototype a client / edge side API-driven front-end with good support for device, connectivity, use case and user customization (T111588).
  • Key result: Gather information to inform our longer-term front-end architecture by prototyping a service-worker / node.js based front-end.
    • Determine API needs
    • Define page component interfaces
    • Get performance and compatibility data
    • Estimate the effort needed for a full production version
  • Dependencies: Readers-Web-Backlog, Performance-Team

Related Objects

StatusAssignedTask
Resolved GWicke
Resolvedmobrovac
Resolvedmobrovac
ResolvedNone
Resolved GWicke
Resolved GWicke
ResolvedNone
Resolved GWicke
Resolvedmobrovac
Resolved GWicke
Resolved GWicke
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedCmjohnson
ResolvedCmjohnson
ResolvedJoe
Resolvedfgiunchedi
Resolved GWicke
Resolved Jdouglas
Resolved GWicke
Resolved GWicke
ResolvedArlolra
Resolved GWicke
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Duplicate Jdouglas
ResolvedAndrew
Resolved GWicke
Resolvedfgiunchedi
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedEevans
Resolvedfgiunchedi
Resolved GWicke
Resolved GWicke
Resolvedfgiunchedi
Resolvedmobrovac
Resolved GWicke
InvalidNone
ResolvedPchelolo
ResolvedArlolra
Resolvedmobrovac
Resolvedbd808

Event Timeline

GWicke raised the priority of this task from to Needs Triage.
GWicke updated the task description. (Show Details)
GWicke added a project: Services.
GWicke added a subscriber: GWicke.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 8 2015, 4:16 PM
GWicke renamed this task from Services team roadmap October - December 2015 (Q2 2015/16) to [DRAFT] Services team roadmap October - December 2015 (Q2 2015/16).Sep 8 2015, 4:17 PM
GWicke triaged this task as High priority.
GWicke updated the task description. (Show Details)
GWicke set Security to None.
GWicke edited subscribers, added: mobrovac, Eevans, Pchelolo; removed: Aklapper.
greg added a subscriber: greg.Sep 9 2015, 4:49 PM
GWicke updated the task description. (Show Details)Sep 9 2015, 5:51 PM
GWicke updated the task description. (Show Details)
GWicke updated the task description. (Show Details)Sep 9 2015, 5:56 PM
GWicke updated the task description. (Show Details)Sep 9 2015, 6:13 PM
Restricted Application added a project: acl*sre-team. · View Herald TranscriptSep 9 2015, 6:13 PM
GWicke updated the task description. (Show Details)Sep 9 2015, 6:49 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 9 2015, 6:49 PM
mobrovac moved this task from Backlog to Next on the Services board.Sep 10 2015, 3:41 PM
GWicke renamed this task from [DRAFT] Services team roadmap October - December 2015 (Q2 2015/16) to [DRAFT] Services team goals October - December 2015 (Q2 2015/16).Sep 10 2015, 6:20 PM
GWicke added subscribers: ssastry, Esanders, dr0ptp4kt.
GWicke renamed this task from [DRAFT] Services team goals October - December 2015 (Q2 2015/16) to Services team goals October - December 2015 (Q2 2015/16).Oct 5 2015, 1:52 AM
GWicke updated the task description. (Show Details)Oct 21 2015, 6:30 PM
mobrovac moved this task from Next to In-progress on the Services board.Nov 3 2015, 10:22 AM

The quarter is over, and we have achieved most of what we set out to do:

  • We set up several cached REST end points in collaboration with the Reading team.
  • The event bus is in production, and MediaWiki edit events are being produced to it. A basic change propagation service is ready for deployment, but is not yet deployed.
  • We did a good amount of research on the front-end performance and architecture, implemented several libraries to support this & worked with the Reading team to hold a productive discussion on the topic at the dev summit. There is a lot of support for the direction. The Reading team is continuing work in this area.
GWicke closed this task as Resolved.Jan 22 2016, 5:56 PM
GWicke claimed this task.